package com.zcloud.zcGbsServicer.api;

import com.zcloud.zcGbsServicer.dto.ResourceDeviceAddCmd;
import com.zcloud.zcGbsServicer.dto.ResourceDevicePageQry;
import com.zcloud.zcGbsServicer.dto.ResourceDeviceUpdateCmd;
import com.zcloud.zcGbsServicer.dto.clientobject.ResourceDeviceCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
* web-client
* @Author makejava
* @Date 2026-01-21 17:23:16
*/
public interface ResourceDeviceServiceI {
    PageResponse<ResourceDeviceCO> listPage(ResourceDevicePageQry qry);

    SingleResponse<ResourceDeviceCO> add(ResourceDeviceAddCmd cmd);

    void edit(ResourceDeviceUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

